Subject: [ietf-tls] RE: New AES ciphersuites I-d

From: <[email-masked]>
Date: Tue, 31 Oct 2000 14:30:53 -0000

I support Pete Chown's new version of the AES ciphersuites I-d, with one
proviso - in specifying support of the new ciphersuites, I'd like to suggest
that the spec distinguish between clients and servers.  The server MUST
support a selection of ciphersuites, and MAY support others, and clients
MUST support one of the server-mandated selection and MAY support others.

This way inter-operability is guaranteed (which it isn't by Pete's current
formulation) and client implementers can choose a ciphersuite (or suites)
appropriate to a client's capabilities.

By the by, PFS, though a good thing to have, is not so important in the
mobile environment, I would say, if the mobile has a smartcard to store
private keys, master_secrets, generate randoms, etc. assuming decent
hardware security, access control, DPA, and so forth.

Tim

---
You are currently subscribed to ietf-tls as: [email-masked]
To unsubscribe send a blank email to [email-masked]